Subject: Re: [bitcoin-dev] Possible change to the MIT license

From: Luke Dashjr <[email-masked]>
Date: Tue, 13 Feb 2018 17:53:40 +0000

This would give too much power to Bitcoin Core, and implies falsely that 
Bitcoin and Bitcoin Core are the same thing.

On Tuesday 13 February 2018 12:25:53 PM JOSE FEMENIAS CAÑUELO via bitcoin-dev 
wrote:
> Hi,
> 
> Bitcoin is licensed under the MIT license
> (https://github.com/bitcoin/bitcoin/blob/master/COPYING
> <https://github.com/bitcoin/bitcoin/blob/master/COPYING>) which is one of
> the most permissive licenses widely in use. While this almost
> restriction-less license has proved useful to many software projects, I
> think it could be wise to question its current suitability for this
> project, given the recent history.
> 
> The difficulty among the general population to distinguish between Bitcoin
> (the protocol and software) and bitcoin (the currency) arises
> spontaneously from the intimate entanglement of both. The current list of
> Bitcoin lookalikes includes: Bitcoin Cash, Bitcoin Gold, Bitcoin Diamond,
> Bitcoin God, Bitcoin Clashic, Super Bitcoin, Bitcoin Hot, Bitcoin X, Oil
> Bitcoin, Bitcoin World, Lightning Bitcoin...
> 
> This recent flurry of hard forks is, IMHO, exacerbating the confusion about
> the very nature of the project, and harming it in many ways.
> 
> Although the liberal MIT license is (rightfully) beneficial to many other
> projects, companies and individuals, it is my belief that several projects
> are unfairly taking advantage of this generous license to attack Bitcoin
> (both the software and the currency), confuse the public, and gain
> personal profit in a way that is severely harming the Bitcoin ecosystem.
> 
> Therefore, I’d like to raise the possibility of amending the MIT license in
> a simple way, by adding a line such as:
> 
> 
> ***
> NO PART OF THIS SOFTWARE CAN BE INCLUDED IN ANY OTHER PROJECT THAT USES THE
> NAME BITCOIN AS PART OF ITS NAME AND/OR ITS MARKETING MATERIAL UNLESS THE
> SOFTWARE PRODUCED BY THAT PROJECT IS FULLY COMPATIBLE WITH THE BITCOIN
> (CORE) BLOCKCHAIN ***
> 
> (This is just an approximation. A final version would probably have to
> include a restriction to some soundalikes like BITKOIN, BIITCOIN,…)
> 
> This way, I could legitimate use this software to create my own crypto
> coin, or use it in Ethereum, Litecoin or any of the other legitimate
> cryptos, but I could not make my “Bitcoin Whatever” fork and keep using
> this software as the basis for it. I could also fork the bitcoin
> blockchain to create “Bcoin lightspeed” but not “Bitcoin lightspeed” for
> instance.
> 
> I know this would probably not prevent the explosion of forks in the
> future, but maybe it could help mitigate the confusion among the users and
> the harm to this community. Even if its enforceability is dubious, at
> least any infringing project would be exposed to some liability. I see
> myself some possible loopholes the way the license addendum is written. My
> intention is not to arrive immediately to a final wording but to know if
> there is some value to the idea of changing the license with this purpose.
> 
> 
> Jose Femenias
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev